# Copyright (c) 2018  Dave Love, University of Manchester
# MIT licence

%global commit 6f82789d451de9a15017ad10301a8c0f19cf6fc5
%global shortcommit  %(c=%{commit}; echo ${c:0:7})

Name:		autoperf
Version:	0
Release:	1.git%shortcommit%{?dist}
Summary:	Tool for creating and managing performance experiments
License:	MIT
URL:		https://github.com/HPCL/autoperf
Source0:	https://github.com/HPCL/%name/archive/%commit/%name-%shortcommit.tar.gz
Patch1:		autoperf-sqlite.patch
# Extension won't build with python3
BuildRequires:	gcc-c++ %_bindir/python2-config papi-devel sqlite-devel
BuildRequires:	chrpath


%description
Autoperf is a tool for creating and managing performance experiments,
including data post processing and analysis.  It provides a simple
format for defining the experiment environment and data to be
collected, and interfaces to a variety of performance tools (e.g., TAU
and HPCToolkit) to perform the measurements and subsequent analyses.
The current capabilities include the collection of detailed hardware
performance counters, derived performance metrics computations,
statistical analysis, and preliminary support for comparisons of
different code versions.

%prep
%setup -q -n %name-%commit
#rm ext/sqlite3.*
%patch1 -p1


%build
python2 setup.py build


%install
python2 setup.py install --skip-build --root %buildroot
cd %buildroot%python2_sitearch/autoperf
chrpath -d partitioner.so
chmod +x utils/scripts/{taudb_loadtrial,metrics,comparison}.py
chmod +x utils/scripts/gensel.sh


%check
make -C ext test


%files
%license LICENSE
%doc README.rst
%_bindir/autoperf
%python2_sitearch/autoperf*


%changelog
* Tue Nov 13 2018  <loveshack@fedoraproject.org> - 0-1.git6f82789
- Initial packaging

